Webhooks
Webhooks are http requests that the Jobylon uses to notify your service of events related to your integration
Each webhook comes with a payload indicating the event type, action and data relevant to the event in question.
Event Types
There are 3 types of webhooks sent by Jobylon to the configured Partner endpoint:
Event type | Description |
|---|---|
company | Company related event |
job | Job related event |
candidate | Candidate related event |
Actions
Each webhook contains one of the following actions:
Actions | Description |
|---|---|
new | New object created |
update | Object was updated |
dynamic_update | Dynamic form was updated (currently only job settings support this) |
signup | Company enabled the integration |
Expected Response
Each webhook expects one of the following responses:
Status | Description |
|---|---|
2XX | Success |
4XX - 6XX | Something Went Wrong |
If the request is not successful, Jobylon will retry sending the request 3 more times, after 10 seconds, 100 seconds and 1000 seconds.
curl -X POST 'https://yourendpoint.com' \
-H 'Accept-Encoding: gzip, deflate' \
-H 'Accept: */*' \
-H 'Connection: keep-alive' \
-H 'Authorization: Bearer XYZ' \
--data '{"event_type": "company","action": "signup","data":{"company_id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954","company_name": "Wayne Enterprises","has_config": true,"dt_created": "2023-06-16 10:40:32"}}'
{
"event_type": "company",
"action": "signup",
"data":
{
"company_id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954",
"internal_id": 23,
"company_name": "Wayne Enterprises",
"has_config": true,
"dt_created": "2023-06-16 10:40:32",
"settings": {
"token": "JB-K123"
}
}
}Name | Type | Description |
|---|---|---|
company_id | string | Company ID |
internal_id | integer | Jobylon Company Internal Identifier |
company_name | string | Company Name |
has_config | boolean | Partner created a Company Config |
dt_created | datetime | Integration enabled time |
settings | object | Company Custom Fields Choices |
curl -X POST 'https://yourendpoint.com' \
-H 'Accept-Encoding: gzip, deflate' \
-H 'Accept: */*' \
-H 'Connection: keep-alive' \
-H 'Authorization: Bearer XYZ' \
--data '{"event_type": "candidate","action": "new","data":{"company":{"id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954"},"candidate":{"id": "aed6532d-2438-4e33-b15b-1f1a20ba1c16","first_name": "Bruce","last_name": "Wayne","email": "[email protected]","phone_number": "+468165621","message": "Please, don'\''t call me before 5pm","status":{"id": 5,"name": "Hired","group": 20}},"job":{"id": "edc3d60e-53d3-4f54-8062-44e4139a52e9","title": "Superhero","from_date": "2022-09-26","to_date": "2023-10-31","description": "We are seeking an exceptional individual to join our team as a Superhero. As a Superhero, you will be responsible for protecting the innocent, fighting crime, and maintaining peace and justice in our city. This is a unique opportunity to use your extraordinary abilities and make a real difference in the lives of our community members.","skills": "Fast driver\nStealth and Infiltration\nMaster of Disguise","locations":[{"location": "Gotham, USA","location_json":{ "city": "Gotham","city_short": "GT","country": "United States of America","country_short": "US","area_1": "Gotham County","area_1_short": "Gotham County"}}],"experience": "Minimum of 5 years fihgting the crime","language": "en","ad_url": "https://jobylon.com/jobs/3-super-hero/","settings":{"notes": "","deadline": "2023-12-31","requester": "Peter Parker","notifybysms": "yes"}}}}'
{
"event_type": "job",
"action": "new",
"data":
{
"company":
{
"id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954",
"internal_id": 23,
"settings": {
"token": "JB-K123"
}
},
"job":
{
"id": "edc3d60e-53d3-4f54-8062-44e4139a52e9",
"internal_id": 4356,
"internal_reference": "XYZ-123",
"title": "Superhero",
"from_date": "2022-09-26",
"to_date": "2023-10-31",
"description": "We are seeking an exceptional individual to join our team as a Superhero. As a Superhero, you will be responsible for protecting the innocent, fighting crime, and maintaining peace and justice in our city. This is a unique opportunity to use your extraordinary abilities and make a real difference in the lives of our community members.",
"skills": "Fast driver\nStealth and Infiltration\nMaster of Disguise",
"locations":
[
{
"location": "Gotham, USA",
"location_json":
{
"city": "Gotham",
"city_short": "GT",
"country": "United States of America",
"country_short": "US",
"area_1": "Gotham County",
"area_1_short": "Gotham County"
}
}
],
"requisition": {
"internal_id": 123,
"external_id": "JB-K123",
"identifier": "JB-K123",
"title": "Superhero"
},
"experience": "Minimum of 5 years fihgting the crime",
"language": "en",
"ad_url": "https://jobylon.com/jobs/3-super-hero/",
"layers": [
{
"id": 28,
"external_identifier": "cities_stockholm",
"description: "",
"name": "City",
"layer_name": "Stockholm",
},
{
"id": 192,
"external_identifier": "team_software",
"description": "Our software engineering team",
"name": "Team",
"layer_name": "Software"
},
],
"categories": [
{
"id": 430,
"text": "Office 1",
},
{
"id": 432,
"text": "Full-time",
}
],
"departments": [
{
"id": 91,
"name": "Engineering",
}
],
"settings":
{
"notes": "",
"deadline": "2023-12-31",
"requester": "Peter Parker",
"notifybysms": "yes"
}
}
}
}Company
Name | Type | Description |
|---|---|---|
id | string | Company ID |
internal_id | integer | Jobylon Company Internal Identifier |
settings | object | Company Custom Fields Choices |
Job
Name | Type | Description |
|---|---|---|
id | string | Job ID |
internal_id | integer | Jobylon Job Internal Identifier |
internal_reference | string | Job internal reference |
title | string | Job Title |
from_date | date | Job Publish Date (job becomes publicly visible) |
to_date | date | Job Closing Date (job becomes hidden) |
description | string | Job Description |
skills | string | Job Skills |
locations | object | Job Locations |
experience | string | Job Required Experience |
language | string | Job Language (alpha-2) |
ad_url | url | Job Application URL |
layers | array | List of Job Layers |
categories | array | List of Job Categories |
departments | array | List of Job Departments |
settings | object | Vendor Company Configurations |
Layers
Name | Type | Description |
|---|---|---|
id | integer | ID of the Layer |
external_identifier | string | External identifier |
description | string | Description |
name | string | Name of the Layer |
layer_name | string | Chosen value of the Layer |
Categories
Name | Type | Description |
|---|---|---|
id | integer | ID of the Category |
text | string | Name of the Category |
Departments
Name | Type | Description |
|---|---|---|
id | integer | ID of the Department |
name | string | Name of the Department |
Locations
Name | Type | Description |
|---|---|---|
location | string | Location String |
location_json | object | Location Details |
Location JSON
Name | Type | Description |
|---|---|---|
city | string | City Name |
city_short | string | City Short Name (defaults to city) |
country | string | Country Name |
country_short | string | Country Code (alpha-2) |
area_1 | string | Name of City Area |
area_1_short | string | Short Name of City Area (defaults to area_1) |
Requisition
Name | Type | Description |
|---|---|---|
internal_id | integer | Jobylon Requisition Internal Identifier |
external_id | string | Requisition External ID from the Provider |
identifier | string | Requisition Identifier from the provider |
title | string | Requisition Title |
curl -X POST 'https://yourendpoint.com' \
-H 'Accept-Encoding: gzip, deflate' \
-H 'Accept: */*' \
-H 'Connection: keep-alive' \
-H 'Authorization: Bearer XYZ' \
--data '{"event_type": "candidate","action": "new","data":{"company":{"id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954"},"candidate":{"id": "aed6532d-2438-4e33-b15b-1f1a20ba1c16","first_name": "Bruce","last_name": "Wayne","email": "[email protected]","phone_number": "+468165621","message": "Please, don'\''t call me before 5pm","status":{"id": 5,"name": "Hired","group": 20}},"job":{"id": "edc3d60e-53d3-4f54-8062-44e4139a52e9","title": "Superhero","from_date": "2022-09-26","to_date": "2023-10-31","description": "We are seeking an exceptional individual to join our team as a Superhero. As a Superhero, you will be responsible for protecting the innocent, fighting crime, and maintaining peace and justice in our city. This is a unique opportunity to use your extraordinary abilities and make a real difference in the lives of our community members.","skills": "Fast driver\nStealth and Infiltration\nMaster of Disguise","locations":[{"location": "Gotham, USA","location_json":{ "city": "Gotham","city_short": "GT","country": "United States of America","country_short": "US","area_1": "Gotham County","area_1_short": "Gotham County"}}],"experience": "Minimum of 5 years fihgting the crime","language": "en","ad_url": "https://jobylon.com/jobs/3-super-hero/","settings":{"notes": "","deadline": "2023-12-31","requester": "Peter Parker","notifybysms": "yes"}}}}'
Request Payload
{
"event_type": "candidate",
"action": "new",
"data":
{
"company":
{
"id": "04b9171e-6d74-451f-a8e3-9bc3cf2b2954",
"internal_id": 23,
"settings": {
"token": "JB-K123"
}
},
"candidate":
{
"id": "aed6532d-2438-4e33-b15b-1f1a20ba1c16",
"internal_id": 5903582,
"first_name": "Bruce",
"last_name": "Wayne",
"ln_url": "linkedin.com/in/brucewayne00001",
"email": "[email protected]",
"phone_number": "+468165621",
"message": "Please, don't call me before 5pm",
"referrer_domain": "https://linkedin.com/",
"status":
{
"id": 5,
"name": "Hired",
"group": 20
},
"files":
{
"cv": "https://jobylon.com/jbl-web-bucket/applications/1/3/harald-sigurdsson/mycv.22ac07f3.pdf?AWSAccessKeyId=ACCESSKEYAWSUSER&Signature=B8fAZtrIn6PZWP%2F0hI4zsmZeVl0%3D&Expires=1708531474",
"cover_letter": null,
"other_1": null,
"other_2": null,
"other_3": null,
"other_4": null,
"other_5": null
},
"data":
{
"iban": "SE6281323143611896423859",
"startingdate": "2025-01-01",
"manager":
[
"Selina Kyle"
]
},
"application_dt_created": "2025-01-01 15:30:00",
"answers": [
{
"id": 1,
"question_id": 1,
"answer_type": "text-short",
"text": "Answer for question with ID 1"
},
{
"id": 2,
"question_id": 2,
"answer_type": "file",
"text": "https://example.com/file-bucket/some/file/path.pdf?AWSAccessKeyId=access_key_id&Signature=j7cGrmaancHoEqBZEY8gT652Xk0%3D&Expires=1764752879"
}
],
"source_type": "applied",
"request_author": {
"email": "[email protected]",
"first_name": "Alfred",
"last_name": "Pennyworth"
}
},
"job":
{
"id": "edc3d60e-53d3-4f54-8062-44e4139a52e9",
"internal_id": 4356,
"internal_reference": "XYZ-123",
"title": "Superhero",
"from_date": "2022-09-26",
"to_date": "2023-10-31",
"description": "We are seeking an exceptional individual to join our team as a Superhero. As a Superhero, you will be responsible for protecting the innocent, fighting crime, and maintaining peace and justice in our city. This is a unique opportunity to use your extraordinary abilities and make a real difference in the lives of our community members.",
"skills": "Fast driver\nStealth and Infiltration\nMaster of Disguise",
"locations":
[
{
"location": "Gotham, USA",
"location_json":
{
"city": "Gotham",
"city_short": "GT",
"country": "United States of America",
"country_short": "US",
"area_1": "Gotham County",
"area_1_short": "Gotham County"
}
}
],
"requisition": {
"internal_id": 123,
"external_id": "JB-K123",
"identifier": "JB-K123",
"title": "Superhero"
},
"experience": "Minimum of 5 years fihgting the crime",
"language": "en",
"ad_url": "https://jobylon.com/jobs/3-super-hero/",
"layers": [
{
"id": 28,
"name": "City",
"layer_name": "Stockholm",
},
{
"id": 192,
"name": "Team",
"layer_name": "Software"
},
],
"categories": [
{
"id": 430,
"text": "Office 1",
},
{
"id": 432,
"text": "Full-time",
}
],
"departments": [
{
"id": 91,
"name": "Engineering",
}
],
"settings":
{
"notes": "",
"deadline": "2023-12-31",
"requester": "Peter Parker",
"notifybysms": "yes"
}
}
}
}Company
Name | Type | Description |
|---|---|---|
id | string | Company ID |
internal_id | integer | Jobylon Company Internal Identifier |
settings | object | Company Custom Fields Choices |
Candidate
Name | Type | Description |
|---|---|---|
id | string | Applicant ID |
internal_id | integer | Jobylon Application Internal Identifier |
first_name | string | Applicant First Name |
last_name | string | Applicant Last Name |
ln_url | url | Applicant Linkedin URL |
string | Applicant Email | |
phone_number | string | Applicant Phone Number |
message | string | Applicant Message |
status | object | Applicant Hiring Status |
files | object | Applicant Files |
data | object | Candidate Custom Fields Choices |
application_dt_created | string | Application creation date |
answers | array | List of candidate screening question answers. Please note, answers with type "file" will be represented with a signed URL valid for 2 hours. |
source_type | string | Application source. One of: applied, applied-silent, copied, imported, recommended, sourced, uploaded, uploaded-extension |
request_author | object | User who sent the Candidate to the Partner |
Status
Name | Type | Description |
|---|---|---|
id | integer | Status ID |
name | string | Status Name |
group | integer | Status Group* |
*Status Groups:
- STATUS_NEW = 0
- STATUS_IN_PROGRESS = 1
- STATUS_REJECTED = 19
- STATUS_HIRED = 20
- STATUS_ON_HOLD = 21
Files
Note: All the URLs of the following files are signed URLs that expire after 24 hours.
Name | Type | Description |
|---|---|---|
cv | url | Signed URL for the candidate's CV |
cover_letter | url | Signed URL for the candidate's Cover Letter |
other_1 | url | Signed URL for the candidate's extra file 1 |
other_2 | url | Signed URL for the candidate's extra file 2 |
other_3 | url | Signed URL for the candidate's extra file 3 |
other_4 | url | Signed URL for the candidate's extra file 4 |
other_5 | url | Signed URL for the candidate's extra file 5 |
Request Author
Name | Type | Description |
|---|---|---|
Email of the user | ||
first_name | string | First name of the user |
last_name | string | Last name of the user |
Job
Name | Type | Description |
|---|---|---|
id | string | Job ID |
internal_id | integer | Jobylon Job Internal Identifier |
internal_reference | string | Job internal reference |
title | string | Job Title |
from_date | date | Job Publish Date (job becomes publicly visible) |
to_date | date | Job Closing Date (job becomes hidden) |
description | string | Job Description |
skills | string | Job Skills |
locations | object | Job Locations |
experience | string | Job Required Experience |
language | string | Job Language (alpha-2) |
ad_url | url | Job Application URL |
layers | array | List of Job Layers |
settings | object | Job Custom Fields Choices |
Layers
Name | Type | Description |
|---|---|---|
id | integer | ID of the Layer |
external_identifier | string | External identifier |
description | string | Description |
name | string | Name of the Layer |
layer_name | string | Chosen value of the Layer |
Categories
Name | Type | Description |
|---|---|---|
id | integer | ID of the Category |
text | string | Name of the Category |
Departments
Name | Type | Description |
|---|---|---|
id | integer | ID of the Department |
name | string | Name of the Department |
Locations
Name | Type | Description |
|---|---|---|
location | string | Location String |
location_json | object | Location Details |
Location JSON
Name | Type | Description |
|---|---|---|
city | string | City Name |
city_short | string | City Short Name (defaults to city) |
country | string | Country Name |
country_short | string | Country Code (alpha-2) |
area_1 | string | Name of City Area |
area_1_short | string | Short Name of City Area (defaults to area_1) |
Requisition
Name | Type | Description |
|---|---|---|
internal_id | integer | Jobylon Requisition Internal Identifier |
external_id | string | Requisition External ID from the Provider |
identifier | string | Requisition Identifier from the provider |
title | string | Requisition Title |